add ARMv5 support to musl v1 PROPOSED

Export patchset (mbox)
How do I use this?

Copy & paste the following snippet into your terminal to import this patchset into git:

curl -s https://lists.alpinelinux.org/~alpine/devel/%3CCAAU3LjvgeMsd5oFqE0Ot-%3DuU-LQ0KCNQsTJQyd+0y4bv0wSZiQ%40mail.gmail.com%3E/mbox | git am -3
Learn more about email & git

[alpine-devel] [PATCH] add ARMv5 support to musl Export this patch

Valery McHno
the following patch adds ARMv5 (little endian) support to musl
(actually, to libc6 compatibility).
(patch file with proper formatting also attached.)

--- APKBUILD.orig       2016-01-10 19:00:15.000000000 +0200
+++ APKBUILD    2016-01-10 19:21:27.698869496 +0200
@@ -114,7 +114,8 @@
        pkgdesc="compatibility libraries for glibc"

        case "$CARCH" in
-       arm*) _ld="ld-linux-armhf.so.3" ;;
+       armel) _ld="ld-linux.so.3" ;;
+       armhf) _ld="ld-linux-armhf.so.3" ;;
        x86) _ld="ld-linux.so.2" ;;
        x86_64) _ld="ld-linux-x86-64.so.2" ;;
        mips*) _ld="ld.so.1" ;;
View this thread in the archives